/*
  midiport.h

  Author: Robert Marsanyi
  Copyright 1996 Robert Marsanyi
  All Rights Reserved.
*/

#include <native.h>

/* header for class MidiPort */
#ifndef _Included_MidiPort
#define _Included_MidiPort
#ifdef __cplusplus
extern "C" {
#endif
typedef struct ClassMidiPort {
#define MidiPort_MIDIPORT_INPUT	0
#define MidiPort_MIDIPORT_OUTPUT	1
	long inputDeviceNumber;
	long outputDeviceNumber;
	/*boolean*/ long isOpen;
} ClassMidiPort;

HandleTo(MidiPort);

extern long MidiPort_nGetNumDevices(struct HMidiPort*, long);
extern struct Hjava_lang_String* MidiPort_nGetDeviceName(struct HMidiPort*, long, long);
extern long MidiPort_nOpen(struct HMidiPort*);
extern long MidiPort_nClose(struct HMidiPort*);
extern long MidiPort_nWriteShortMessage(struct HMidiPort*, /*char*/ long, /*char*/ long, /*char*/ long);
extern long MidiPort_nWriteLongMessage(struct HMidiPort*, struct HArrayOfByte*, long, long);
extern long MidiPort_nReadMessage(struct HMidiPort*, struct HArrayOfByte*, long);
extern long MidiPort_nMessagesWaiting(struct HMidiPort*);
extern long MidiPort_nResetInput(struct HMidiPort*);
#ifdef __cplusplus
}
#endif

#endif /* _Included_MidiPort */

